package models

import (
	"rdluck_tools/orm"
	"time"
)

type Classify struct {
	Id           int       `orm:"column(id);pk"`
	ClassifyName string    `description:"分类名称"`
	Sort         int       `json:"-"`
	ParentId     int       `description:"父级分类id"`
	CreateTime   time.Time `description:"创建时间"`
	ModifyTime   time.Time `description:"修改时间"`
	Abstract     string    `description:"简介"`
	Descript     string    `description:"描述"`
}

func GetClassifyById(classifyId int) (item *Classify, err error) {
	sql := ` SELECT * FROM classify WHERE id = ?  `
	o := orm.NewOrm()
	o.Using("rddp")
	err = o.Raw(sql, classifyId).QueryRow(&item)
	return
}

func GetClassifyList() (item []*Classify, err error) {
	sql := ` SELECT * FROM classify WHERE parent_id = 0  `
	o := orm.NewOrm()
	o.Using("rddp")
	_, err = o.Raw(sql).QueryRows(&item)
	return
}
